it.gov.taccuino

## Class DocumentoType.ContenutoDocumento

- java.lang.Object
- - it.gov.taccuino.DocumentoType.ContenutoDocumento

- Enclosing class:
    DocumentoType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class DocumentoType.ContenutoDocumento
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
             <attribute name="mimeType" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="application/pdf"/>
                   <enumeration value="image/jpeg"/>
                 </restriction>
               </simpleType>
             </attribute>
           </extension>
         </simpleContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `mimeType`
    `protected byte[]` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContenutoDocumento()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMimeType()` Recupera il valore della proprietà mimeType.
    `byte[]` | `getValue()` Recupera il valore della proprietà value.
    `void` | `setMimeType(String value)` Imposta il valore della proprietà mimeType.
    `void` | `setValue(byte[] value)` Imposta il valore della proprietà value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected byte[] value

    - #### mimeType

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String mimeType

  - ### Constructor Detail

    - #### ContenutoDocumento

          public ContenutoDocumento()

  - ### Method Detail

    - #### getValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public byte[] getValue()

      Recupera il valore della proprietà value.
      Returns:
        possible object is byte[]

    - #### setValue

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setValue(byte[] value)

      Imposta il valore della proprietà value.
      Parameters:
        `value` - allowed object is byte[]

    - #### getMimeType

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getMimeType()

      Recupera il valore della proprietà mimeType.
      Returns:
        possible object is `String`

    - #### setMimeType

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setMimeType(String value)

      Imposta il valore della proprietà mimeType.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.